Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043435
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2020-03-05 18:432020-03-11 10:22
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisiona2469d45ceaf
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043435: Remove deprecated column PaymentRule from C_invoice

DescriptionRemove deprecated column PaymentRule from C_invoice
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0043391 closedAtulOpenbravo API Change: Remove deprecated properties 

-  Notes
(0118435)
hgbot (developer)
2020-03-10 09:17

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 8800346c39088ad7ac38c3328aa927428ee3ac84
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 02 17:04:38 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/8800346c39088ad7ac38c3328aa927428ee3ac84 [^]

Related To BUG-43435:Remove C_invoice PaymentRule reference
from Retail Sample Data module in The White Valley Group
client.

---
M referencedata/sampledata/The_White_Valley_Group/C_INVOICE.xml
---
(0118438)
hgbot (developer)
2020-03-10 09:21

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: 0d729eca42eb50a479691c73827639dbd30dd611
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 02 18:02:08 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/0d729eca42eb50a479691c73827639dbd30dd611 [^]

Related To BUG-43435:Remove C_Invoice PaymentRule reference
from AWO Sample Data module for AWO QA client

---
M referencedata/sampledata/AWO_QA/C_INVOICE.xml
---
(0118440)
hgbot (developer)
2020-03-10 09:23

Repository: erp/pmods/org.openbravo.service.integration.sap.ecc.mappings
Changeset: 9c43333b44eced49234bf9ca9537fa9ed4614cbb
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Mar 03 21:39:27 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.service.integration.sap.ecc.mappings/rev/9c43333b44eced49234bf9ca9537fa9ed4614cbb [^]

Related to BUG-43435:Remove reference of C_invoice PaymentRule
from SAP ECC Mapping Sample Data for The White Valley Group
client

---
M referencedata/sampledata/The_White_Valley_Group/C_INVOICE.xml
---
(0118442)
hgbot (developer)
2020-03-10 09:29

Repository: erp/devel/pi
Changeset: a2469d45ceaf8d73f8d27379ac45d47b9049e979
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 09 14:13:41 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a2469d45ceaf8d73f8d27379ac45d47b9049e979 [^]

Fixes BUG-43435:Remove deprecated column PaymentRule
from C_invoice

Remove references from
**C_INVOICE, C_INVOICE_V, C_INVOICE_V2
**AD_COLUMN, AD_FIELD
**APRM_GEN_PAYMENTSCHEDULE_INV, C_COMMISSIONRUN_PROCESS,
M_INOUT_CREATEINVOICE, M_RAPPEL_INVOICE_CREATE,
C_INVOICE_CREATE, C_INVOICE_POST, ExpenseAPInvoice,
ExpenseAPInvoice_data, C_CREATE_PINVOICE_FROM_OUTS,
C_INVOICE_TRG, C_ORDER_TRG2
**Sample Data from F_B_International_Group & QA_Testing
client.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/QA_Testing/C_INVOICE.xml
M src-db/database/model/functions/C_COMMISSIONRUN_PROCESS.xml
M src-db/database/model/functions/C_CREATE_PINVOICE_FROM_OUTS.xml
M src-db/database/model/functions/C_INVOICE_CREATE.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-db/database/model/functions/M_INOUT_CREATEINVOICE.xml
M src-db/database/model/functions/M_RAPPEL_INVOICE_CREATE.xml
M src-db/database/model/tables/C_INVOICE.xml
M src-db/database/model/triggers/C_INVOICE_TRG.xml
M src-db/database/model/triggers/C_ORDER_TRG2.xml
M src-db/database/model/views/C_INVOICE_V.xml
M src-db/database/model/views/C_INVOICE_V2.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/erpCommon/ad_process/ExpenseAPInvoice.java
M src/org/openbravo/erpCommon/ad_process/ExpenseAPInvoice_data.xsql
---
(0118474)
dmiguelez (developer)
2020-03-10 16:46

Code Review + Testing Ok
(0118496)
hgbot (developer)
2020-03-11 09:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 375c6aecb99a6a1b51380d9ab287be45910fbb19
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Mar 11 09:53:39 2020 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/375c6aecb99a6a1b51380d9ab287be45910fbb19 [^]

Related to ISSUE-43435, ISSUE-43436. Removed deprecated columns from posterminal file

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor_data.xsql
---
(0118499)
hgbot (developer)
2020-03-11 10:22

Repository: erp/pmods/org.openbravo.interco
Changeset: d50a28bd2b673d99f7118c88d1a838e77c2a4ef0
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Mar 11 14:40:58 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.interco/rev/d50a28bd2b673d99f7118c88d1a838e77c2a4ef0 [^]

Related to BUG-43435:Remove reference of C_invoice PaymentRule
from INTERCO_CREATE_INVOICE db function

---
M src-db/database/model/functions/INTERCO_CREATE_INVOICE.xml
---

- Issue History
Date Modified Username Field Change
2020-03-05 18:43 AtulOpenbravo New Issue
2020-03-05 18:43 AtulOpenbravo Assigned To => AtulOpenbravo
2020-03-05 18:43 AtulOpenbravo Modules => Core
2020-03-05 18:43 AtulOpenbravo Triggers an Emergency Pack => No
2020-03-05 18:43 AtulOpenbravo Issue generated from 0042665
2020-03-05 18:43 AtulOpenbravo Relationship added related to 0042665
2020-03-10 09:17 hgbot Checkin
2020-03-10 09:17 hgbot Note Added: 0118435
2020-03-10 09:21 hgbot Checkin
2020-03-10 09:21 hgbot Note Added: 0118438
2020-03-10 09:23 hgbot Checkin
2020-03-10 09:23 hgbot Note Added: 0118440
2020-03-10 09:29 hgbot Checkin
2020-03-10 09:29 hgbot Note Added: 0118442
2020-03-10 09:29 hgbot Status new => resolved
2020-03-10 09:29 hgbot Resolution open => fixed
2020-03-10 09:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a2469d45ceaf8d73f8d27379ac45d47b9049e979 [^]
2020-03-10 16:44 dmiguelez Relationship deleted related to 0042665
2020-03-10 16:44 dmiguelez Relationship added related to 0043391
2020-03-10 16:46 dmiguelez Review Assigned To => dmiguelez
2020-03-10 16:46 dmiguelez Note Added: 0118474
2020-03-10 16:46 dmiguelez Status resolved => closed
2020-03-10 16:46 dmiguelez Fixed in Version => 3.0PR20Q2
2020-03-11 09:53 hgbot Checkin
2020-03-11 09:53 hgbot Note Added: 0118496
2020-03-11 10:22 hgbot Checkin
2020-03-11 10:22 hgbot Note Added: 0118499


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker